body {
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.6;
    /*distancia entre as linhas*/
    margin: 0;
    padding: 20px;
    background-color: beige;
    color: #333;
}

.container {
    max-width: 800px;
    margin: auto;
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h1 {
    text-align: center;
}

.search-form {
    display: flex;
    gap: 10px;
    /* para os itens ficarem mais disantes */
    margin-bottom: 10px;
}

.search-input {
    flex-grow: 1;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #ddd;
}

.search-button {
    padding: 10px 20px;
    background-color: #5cb85c;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    transition: 0.5s;
}

.search-button:hover {
    background-color: #173a17;
}

/*estilização receita card*/
.recibe-card {
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 10px;
    text-align: center;
    cursor: pointer;
}

.receita-lista {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
}

.recibe-card img{
    width: 100%;
    height: 150px;
    object-fit: cover; /* adapta a imagem ao tamanho*/
    border-radius: 5px;
}

.receita-detalhes img{
    max-width: 300px;
    width: 100%;
    object-fit: cover;
    border-radius: 5px;
}

.rodape{
    height: 60px;
    background-color: rgb(177, 177, 177);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;    
}